Run of fresh-snapshots for node-import-lazy

Try this locally package):

debcheckout node-import-lazy
cd node-import-lazy
DEB_UPDATE_CHANGELOG=auto deb-new-upstream --snapshot --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
[2022-03-20 16:06:56] Opening branch at https://salsa.debian.org/js-team/node-import-lazy.git/,branch=master
[2022-03-20 16:06:56] Using cached branch https://janitor.debian.net/git/node-import-lazy/,branch=debian%2Flatest
[2022-03-20 16:07:00] 1/89)
[2022-03-20 16:07:00] Total 393 (delta 52), reused 0 (delta 0), pack-reused 299
[2022-03-20 16:07:01] Total 8 (delta 0), reused 8 (delta 0), pack-reused 0
[2022-03-20 16:07:01] 
[2022-03-20 16:07:01] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-03-20 16:07:01] Total 4 (delta 0), reused 0 (delta 0), pack-reused 4
[2022-03-20 16:07:02] Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
[2022-03-20 16:07:02] Workspace ready - starting.
[2022-03-20 16:07:02] Running ['deb-new-upstream', '--snapshot', '--refresh-patches']
Using upstream branch https://github.com/sindresorhus/import-lazy.git (from configuration)
Total 191 (delta 0), reused 3 (delta 0), pack-reused 185
Using version string 4.0.0+git20210101.1.2fe6664.
No upstream upstream-revision format specified, trying tag:4.0.0
No upstream upstream-revision format specified, trying tag:node-import-lazy-4.0.0
No upstream upstream-revision format specified, trying tag:v4.0.0
Not including upstream history, since previous upstream version (4.0.0) is not present in packaging branch history.
Looking for upstream 4.0.0+git20210101.1.2fe6664 in upstream branch <RemoteGitBranch('https://github.com/sindresorhus/import-lazy.git/', 'main')>.
Running dist command: SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python39.zip:/usr/lib/python3.9:/usr/lib/python3.9/lib-dynload:/usr/local/lib/python3.9/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitorvap6qiib/node-import-lazy/debian
Opened schroot session unstable-amd64-sbuild-574aa213-b49a-4d6c-8dfc-fb530befaa19 (from unstable-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'debhelper-compat (= 13)\n , dh-sequence-nodejs\n , node-tape <!nocheck>']
Creating directory /root in schroot session.
Using dependency resolver: [apt, cpan, ctan, pypi, npm, go, hackage, cran, cran, octave-forge]
Loading apt contents information
apt: running ['apt', '-y', 'satisfy', 'npm']
Running ['npm', 'pack']
Found new tarball import-lazy-4.0.0.tgz in /var/run/schroot/mount/unstable-amd64-sbuild-574aa213-b49a-4d6c-8dfc-fb530befaa19/build/tmpttdopvvh/node-import-lazy.
Found tarball import-lazy-4.0.0.tgz in parent directory.
Searching for revision importing node-import-lazy version 4.0.0 on branch upstream, packaging branch, tag debian/4.0.0-2, tag debian/4.0.0-1.
Upstream import of 4.0.0 lacks a tag. Set one by running: brz tag -rrevid:git-v1:6823d0384b05b16e235f6b43fb445366268804f0 upstream/4.0.0
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/3.0.0.REALLY.2.1.0-1 points at non-present sha 26ef31c80406d944ab1d826046799415313b028d
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/3.0.0 points at non-present sha 1949d7606e57a3091ef1ba7110e986d5bc654842
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/4.0.0 points at non-present sha 780b5b2f1731af3d4d70e70fec5ec8a3a7706e31
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/3.0.0.REALLY.2.1.0-1_bpo9+1 points at non-present sha 376d3300d7d074bf132fee6a6de670fffef209a6
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/4.0.0-2 points at non-present sha 0b40a19f504823128262dc50ad7dd94d465de7ef
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/4.0.0-1 points at non-present sha 7fa668c4493e86e993c6c2405dd49447726f325c
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/upstream/3.0.0.REALLY.2.1.0 points at non-present sha 3ce94301cb95b5e9a51714d7d303680a8cc79868
  warnings.warn(
/code/dulwich/dulwich/repo.py:496: UserWarning: ref refs/tags/debian/3.0.0-1 points at non-present sha 753c44787d20d60614d645b8675854d750d6eeab
  warnings.warn(
debian/3.0.0.REALLY.2.1.0-1 does not point to a valid object
upstream/3.0.0 does not point to a valid object
upstream/4.0.0 does not point to a valid object
debian/3.0.0.REALLY.2.1.0-1_bpo9+1 does not point to a valid object
debian/4.0.0-2 does not point to a valid object
debian/4.0.0-1 does not point to a valid object
upstream/3.0.0.REALLY.2.1.0 does not point to a valid object
debian/3.0.0-1 does not point to a valid object
Imported node-import-lazy_4.0.0+git20210101.1.2fe6664.orig.tar.gz with pristine-tar.
All changes applied successfully.
Committing to: /tmp/janitorvap6qiib/node-import-lazy/
deleted .editorconfig
deleted .npmrc
modified debian/changelog
deleted fixtures
deleted fixtures/baz.js
deleted fixtures/class.js
deleted fixtures/fail.js
deleted fixtures/foo.bar.js
deleted fixtures/foo.js
modified index.d.ts
deleted index.test-d.ts
modified package.json
modified readme.md
deleted test.js
Committed revision 37.
Merged new upstream version 4.0.0+git20210101.1.2fe6664 (previous: 4.0.0)
Refresh quilt patches.
An error occurred refreshing quilt patch replace-ava-by-tape.patch: 

Applying patch debian/patches/replace-ava-by-tape.patch
can't find file to patch at input line 8
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|Description: replace ava by tape
|Author: Xavier Guimard <yadd@debian.org>
|Forwarded: not-needed
|Last-Update: 2020-12-23
|
|--- a/test.js
|+++ b/test.js
--------------------------
No file to patch.  Skipping patch.
4 out of 4 hunks ignored
Patch debian/patches/replace-ava-by-tape.patch does not apply (enforce with -f)

Full worker log